Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881470 - Fail to install AnzoGraph Operator
Summary: Fail to install AnzoGraph Operator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ISV Operators
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Melvin Hillsman
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 13:28 UTC by Bruno Andrade
Modified: 2020-10-08 14:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-08 14:29:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bruno Andrade 2020-09-22 13:28:39 UTC
Description of problem:
CustomResourceDefinition.apiextensions.k8s.io "anzographs.anzograph.clusters.cambridgesemantics.com" is invalid: spec.validation.openAPIV3Schema.properties[spec].properties[frontendSpec].properties[service].properties[spec].properties[ports].items.properties[protocol].default: Required value: this property is in x-kubernetes-list-map-keys, so it must have a default or be a required property

AnzoGraph Operator 1.3.2 provided by Cambridge Semantics
Version:
OCP: 4.5.0-0.nightly-2020-09-17-193904

Steps to Reproduce:
Install AMQ Broker Operator by using OperatorHub

Actual results:
Fail to install the Operator

Expected results:
We should be able to install the Operator successfully.

Comment 1 Melvin Hillsman 2020-09-29 03:03:04 UTC
This appears to be resolved as the version of the operator is 1.3.3 in OpenShift 4.5 and install succeeds.

Comment 2 Bruno Andrade 2020-09-29 19:47:37 UTC
1.3.3 version looks good, marking as verified


Note You need to log in before you can comment on or make changes to this bug.